library dbx;

{$I heverdef.inc}

uses
  SysUtils, Classes, Rubies, Pythia,
  uSQLConnection,
  uSQLDataSet,
{$IFNDEF DELPHI8_UP}
  uSQLClientDataSet,
{$ENDIF}
  uSQLTable,
  uSQLQuery,
  uSQLStoredProc;

{$E so}

const
  RDBDLL = 'rdb.so';

function ap_mRDB: Tvalue; external RDBDLL;

procedure Init_dbx;
begin
  if ap_mRDB = 0 then ap_loaderror('undefined RDB module');

  Init_SQLConnection;
  Init_SQLDataSet;
{$IFNDEF DELPHI8_UP}
  Init_SQLClientDataSet;
{$ENDIF}
  Init_SQLTable;
  Init_SQLQuery;
  Init_SQLStoredProc;
end;

exports
  Init_dbx;

exports
  ap_cSQLConnection,
  ap_iSQLConnection;

begin
end.
